#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc

Summary:	Shared code for mate-panel, mate-session, mate-file-manager, etc.
Summary(pl.UTF-8):	Kod współdzielony przez pakiety mate-panel, mate-session, mate-file-manager itd.
Name:		mate-desktop
Version:	1.26.2
Release:	1
License:	LGPL v2+ with MIT parts (library), GPL v2+ (mate-about)
Group:		X11/Applications
Source0:	https://pub.mate-desktop.org/releases/1.26/%{name}-%{version}.tar.xz
# Source0-md5:	894f0e9d88a131d12fa5bc39cfc64eb9
URL:		https://wiki.mate-desktop.org/mate-desktop/components/mate-desktop/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	dconf-devel >= 0.13.4
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel >= 2.36.5
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.68.0
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool >= 0.50.1
BuildRequires:	iso-codes
BuildRequires:	libtool
BuildRequires:	mate-common
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-libs = %{version}-%{release}
# for identifying monitors from pnp.ids (libmate-desktop/display-name.c)
Requires:	hwdata >= 0.243-6
Requires:	xdg-user-dirs-gtk >= 0.10-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mate-desktop package contains an internal library (libmatedesktop)
used to implement some portions of the MATE desktop, and also some
data files and other shared components of the MATE user environment.

%description -l pl.UTF-8
Pakiet mate-desktop zawiera bibliotekę wewnętrzną (libmatedesktop)
służącą do implementacji niektórych elementów środowiska MATE, trochę
plików z danymi oraz inne współdzielone komponenty środowiska
użytkownika MATE.

%package libs
Summary:	Shared libmate-desktop library
Summary(pl.UTF-8):	Biblioteka współdzielona libmate-desktop
License:	LGPL v2+
Group:		Libraries
Requires:	dconf >= 0.13.4
Requires:	gdk-pixbuf2 >= 2.36.5
Requires:	glib2 >= 1:2.68.0
Requires:	gtk+3 >= 3.22
Requires:	startup-notification >= 0.5
Requires:	xorg-lib-libXrandr >= 1.3

%description libs
Shared libmate-desktop library.

%description libs -l pl.UTF-8
Biblioteka współdzielona libmate-desktop.

%package devel
Summary:	Header files for libmate-desktop
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmate-desktop
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dconf-devel >= 0.13.4
Requires:	gdk-pixbuf2-devel >= 2.36.5
Requires:	glib2-devel >= 1:2.68.0
Requires:	gtk+3-devel >= 3.22
Requires:	startup-notification-devel >= 0.5

%description devel
Header files for the MATE-internal private library libmate-desktop.

%description devel -l pl.UTF-8
Pliki nagłówkowe prywatnej biblioteki wewnętrznej MATE
libmate-desktop.

%package apidocs
Summary:	mate-desktop API documentation
Summary(pl.UTF-8):	Dokumentacja API mate-desktop
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
mate-desktop API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API mate-desktop.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_apidocs:--enable-gtk-doc --with-html-dir=%{_gtkdocdir}} \
	--disable-schemas-compile \
	--disable-silent-rules \
	--disable-static \
	--with-pnp-ids-path=/lib/hwdata/pnp.ids

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmate-desktop-2.la

desktop-file-install \
	--remove-category="MATE" \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/mate-about.desktop

# frp,jv,ku_IQ not supported yet by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,ie,jv,ku_IQ}

%find_lang %{name} --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor
%update_desktop_database_post

%postun
%glib_compile_schemas
%update_icon_cache hicolor
%update_desktop_database_postun

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-about
%attr(755,root,root) %{_bindir}/mate-color-select
%{_mandir}/man1/mate-about.1*
%{_mandir}/man1/mate-color-select.1*
%{_desktopdir}/mate-about.desktop
%{_desktopdir}/mate-color-select.desktop
%{_iconsdir}/hicolor/*/apps/mate-desktop.png
%{_iconsdir}/hicolor/scalable/apps/mate-desktop-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/mate-desktop.svg
%{_datadir}/mate-about
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_datadir}/xdg-desktop-portal/mate-portals.conf

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-desktop-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmate-desktop-2.so.17
%{_libdir}/girepository-1.0/MateDesktop-2.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-desktop-2.so
%{_includedir}/mate-desktop-2.0
%{_datadir}/gir-1.0/MateDesktop-2.0.gir
%{_pkgconfigdir}/mate-desktop-2.0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/mate-desktop
%endif
%changelog
* Sun Sep 17 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-desktop.git;a=log;h=master

* Fri Sep 15 2023 Jan Palus <atler@pld-linux.org> 3b1d41d
- update desktop database

* Fri Sep 15 2023 Jan Palus <atler@pld-linux.org> c3c34dc
- up to 1.26.2

* Wed Mar 15 2023 Jan Palus <atler@pld-linux.org> d4a08da
- up to 1.26.1

* Wed Mar 15 2023 Jan Palus <atler@pld-linux.org> 698bb32
- rpm version for noarch subpackage

* Wed Mar 15 2023 Jan Palus <atler@pld-linux.org> 7559815
- BR: iso-codes

* Wed Aug 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 36ad10c
- updated URL

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> c6ef176
- up to 1.26.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> fd27f0c
- unconditional noarch subpackages

* Thu Aug 13 2020 Jan Palus <atler@pld-linux.org> c8cadcf
- up to 1.24.1

* Mon Feb 10 2020 Jan Palus <atler@pld-linux.org> e948bc6
- up to 1.24.0

* Fri Sep 20 2019 Jan Palus <atler@pld-linux.org> 41dd005
- up to 1.22.2

* Mon Apr 22 2019 Jan Palus <atler@pld-linux.org> 16c5d9b
- up to 1.22.1

* Mon Mar 18 2019 Jan Palus <atler@pld-linux.org> cf02e92
- up to 1.22.0

* Wed Dec 19 2018 Jan Palus <atler@pld-linux.org> 84a569a
- up to 1.20.4

* Tue Jun 05 2018 Jan Palus <atler@pld-linux.org> efa5e56
- up to 1.20.3

* Sun Jun 03 2018 Jan Palus <atler@pld-linux.org> 725830f
- up to 1.20.2

* Mon Mar 26 2018 Jan Palus <atler@pld-linux.org> 0d8781a
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> cb53c72
- up to 1.20.0

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 9191b33
- up to 1.18.0

* Thu Oct 20 2016 Elan Ruusamäe <glen@delfi.ee> 942b01c
- 1.16.1

